/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-18-2011 09:34:36pm
Filepath: scripts\_custom\Revised Class Quests\Black Solen Matriarch\Mobiles\NewBlackSolenMatriarch.cs
Lines of code: 36
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class NewBlackSolenMatriarch : MondainQuester
	{
		public override Type[] Quests{ get{ return new Type[] { typeof( NewBlackSolenMatriarchQuestPart1 ) }; } }
		
		[Constructable]
		public NewBlackSolenMatriarch() : base( "The Black Solen Matriarch")
		{			
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public NewBlackSolenMatriarch( Serial serial ) : base( serial )
		{
		}
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );
			Female = true;
			Body = 0x30F;
			Hue = 0x453;
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}